Backup to Remote PC Freezes

Bug #1087872 reported by Stephen Rynas on 2012-12-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sbackup
Undecided
Unassigned

Bug Description

Using Ubuntu 12.10 attempting to backup to a remote WindowsXP computer Have AMD-64 bit Ubuntu
sbackup-gtk 0.11.4-0ubuntu4
installed from Ubuntu directly

String to access remote computer: smb://sabre/Storage/Backup_Altair

manually the backups seems to work correctly
However the automated mackup using Gnome Shcduler only works sporadically.

I just received error message "File access manager not initialized"
Aslo get an error message that Ubuntu has had an "internal error".
Then Ubuntu asks if I am attempting to connect to a remote computer, which I am.
sbacckup "freezes" stays stuck in assembling files.

Revision history for this message
Stephen Rynas (ascolais) wrote :

sbackup log file output 12/9/2012
unfortunately does not mean much to me.
------------------------------------------------------------
Updating DISPLAY to: :0
Updating SSH_AUTH_SOCK to: /tmp/ssh-AkWsSMP5ySFH/agent.1770
Updating GNOME_KEYRING_CONTROL to: None
Updating GNOME_KEYRING_PID to: None
Updating XAUTHORITY to: /home/steve/.Xauthority
Updating GPG_AGENT_INFO to: None
D-Bus session bus launched
 DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5FlFVve5WG,guid=47818c2b9713ba978561e98450c52603
 DBUS_SESSION_BUS_PID=5924
Attempt to launch indicator application (status icon).
Indicator application started (PID: 5933)
Updating GNOME_KEYRING_CONTROL to: None
Updating GNOME_KEYRING_PID to: None
Updating GPG_AGENT_INFO to: None

Revision history for this message
Stephen Rynas (ascolais) wrote :

Found this log entry. Is this helpful?
---------------------------------------------------------------------------------------
Backup 'Default Profile' Logger
==============
2012-12-09 20:00:12,629 - INFO: Log output for [Default Profile] is directed to file '/home/steve/.local/share/sbackup/log/sbackup.2012-12-09_20.00.12.537149.log'.
2012-12-09 20:00:12,631 - INFO: Profile settings are being read from file '/home/steve/.config/sbackup/sbackup.conf'.
2012-12-09 20:00:12,705 - INFO: Preparation of backup process
2012-12-09 20:00:12,707 - INFO: Initializing GIO File Access Manager.
2012-12-09 20:00:12,956 - ERROR: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker
2012-12-09 20:00:13,050 - ERROR: Uncaught exception: Unable to mount: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker
2012-12-09 20:00:13,051 - ERROR: Traceback (most recent call last):
  File "/usr/share/sbackup/sbackup/fs_backend/_gio_utils.py", line 372, in _mount_done_cb
    self.__mount_finish_callback(error)
  File "/usr/share/sbackup/sbackup/fs_backend/_gio_fam.py", line 157, in _mount_cb
    raise exceptions.FileAccessException("Unable to mount: %s" % error)
FileAccessException: Unable to mount: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker

2012-12-09 20:00:13,053 - ERROR: An error occurred during the backup: File access manager not initialized
2012-12-09 20:00:13,060 - WARNING: Unable to copy log. File access is not initialized.
2012-12-09 20:00:13,061 - INFO: Terminating GIO File Access Manager.
2012-12-09 20:00:13,063 - WARNING: GIO File Access Manager is not initialized. Nothing to do.
2012-12-09 20:00:13,064 - INFO: Processing of profile failed with error: File access manager not initialized

Revision history for this message
Jean-Peer Lorenz (peer.loz) wrote :

Thank you for using sbackup and reporting this issue.

I guess the issue you are encountering is related to this:

2012-12-09 20:00:12,956 - ERROR: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker

What version of Ubuntu are you using?
Do manuell backups work all the time?

Thank you so much for your help.

Regards,
Jean-Peer

Revision history for this message
Stephen Rynas (ascolais) wrote : Re: [Bug 1087872] Re: Backup to Remote PC Freezes

Thanks for responding. I am using Ubuntu Version 12.10. The manual
execution of sbackup works.

On Thu, Dec 13, 2012 at 4:53 PM, Jean-Peer Lorenz <
<email address hidden>> wrote:

> Thank you for using sbackup and reporting this issue.
>
> I guess the issue you are encountering is related to this:
>
> 2012-12-09 20:00:12,956 - ERROR: No such interface
> `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker
>
> What version of Ubuntu are you using?
> Do manuell backups work all the time?
>
> Thank you so much for your help.
>
> Regards,
> Jean-Peer
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1087872
>
> Title:
> Backup to Remote PC Freezes
>
> Status in sbackup:
> New
>
> Bug description:
> Using Ubuntu 12.10 attempting to backup to a remote WindowsXP computer
> Have AMD-64 bit Ubuntu
> sbackup-gtk 0.11.4-0ubuntu4
> installed from Ubuntu directly
>
> String to access remote computer: smb://sabre/Storage/Backup_Altair
>
> manually the backups seems to work correctly
> However the automated mackup using Gnome Shcduler only works
> sporadically.
>
> I just received error message "File access manager not initialized"
> Aslo get an error message that Ubuntu has had an "internal error".
> Then Ubuntu asks if I am attempting to connect to a remote computer,
> which I am.
> sbacckup "freezes" stays stuck in assembling files.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/sbackup/+bug/1087872/+subscriptions
>

Revision history for this message
Stephen Rynas (ascolais) wrote :
Download full text (4.1 KiB)

SBackup 'Default Profile' Logger
==============
2012-12-19 18:00:07,440 - INFO in ConfigManager.__create_logger(757): Log output for [Default Profile] is directed to file '/var/log/sbackup.2012-12-19_18.00.07.438819.log'.
2012-12-19 18:00:07,440 - DEBUG in ConfigManager.validateConfigFileOpts(806): Validating config file.
2012-12-19 18:00:07,442 - INFO in ConfigManager.__init__(331): Profile settings are being read from file '/home/steve/.config/sbackup/sbackup.conf'.
2012-12-19 18:00:07,442 - DEBUG in backupproc.__init__(119): Simple Backup Suite 0.11.4
2012-12-19 18:00:07,466 - DEBUG in profile_handler.__init__(87): Instance of BackupProfileHandler created.
2012-12-19 18:00:07,467 - INFO in profile_handler.prepare(90): Preparation of backup process
2012-12-19 18:00:07,468 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://sabre/Storage/Backup_Altair
URI scheme: smb
eff. scheme: smb
Hostname: `sabre`
Path: `/Storage/Backup_Altair`
Port: None
Username: `None`
Password: `None`
2012-12-19 18:00:07,468 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://sabre/Storage/Backup_Altair
URI scheme: smb
eff. scheme: smb
Hostname: `sabre`
Path: `/Storage/Backup_Altair`
Port: None
Username: `None`
Password: `None`
2012-12-19 18:00:07,469 - INFO in _gio_fam.initialize(100): Initializing GIO File Access Manager.
2012-12-19 18:00:07,469 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-19 18:00:07,469 - DEBUG in _gio_utils.mount(258): Mount path: smb://sabre/Storage/Backup_Altair
2012-12-19 18:00:07,509 - DEBUG in _gio_utils._is_local(217): Given path is not local
2012-12-19 18:00:07,516 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-19 18:00:07,521 - DEBUG in _gio_utils._set_mount_flag(244): Path_mount_info: Path: `smb://sabre/Storage/Backup_Altair`
Eff. path: `None`
Mounted: False
2012-12-19 18:00:07,521 - ERROR in _gio_utils._mount_done_cb(363): No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker
2012-12-19 18:00:07,521 - DEBUG in _gio_utils._mount_done_cb(366): quit loop
2012-12-19 18:00:07,522 - DEBUG in _gio_utils._mount_done_cb(371): Calling additional callback
2012-12-19 18:00:07,537 - ERROR in backupproc.except_hook(66): Uncaught exception: Unable to mount: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker
2012-12-19 18:00:07,538 - ERROR in backupproc.except_hook(67): Traceback (most recent call last):
  File "/usr/share/sbackup/sbackup/fs_backend/_gio_utils.py", line 372, in _mount_done_cb
    self.__mount_finish_callback(error)
  File "/usr/share/sbackup/sbackup/fs_backend/_gio_fam.py", line 157, in _mount_cb
    raise exceptions.FileAccessException("Unable to mount: %s" % error)
FileAccessException: Unable to mount: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker

2012-12-19 18:00:07,539 - ERROR in backupproc.__notify_error(335): An error occurred during the backup:
File access manager not initialized
Traceback (most recent call last):
  File "/usr/share/sbackup/sbackup/backupproc....

Read more...

Revision history for this message
Stephen Rynas (ascolais) wrote :
Download full text (8.8 KiB)

For a couple of days it seemed to work.
Today it froze. When I tried to clsoe it, it said that it could not be done.
I could not find a way to kill sbackup. It did not show-up as an active process.
Below is the log. When you look at the last line, there is no indication of failure or completion.
So I assume that sbackup "froze" at that point.
The progress bar, stays frozen on "backup being prepared".
-----------------------------------------------------------------------------------------------------------------------
SBackup 'Default Profile' Logger
==============
2012-12-21 17:00:06,520 - INFO in ConfigManager.__create_logger(757): Log output for [Default Profile] is directed to file '/var/log/sbackup.2012-12-21_17.00.06.518966.log'.
2012-12-21 17:00:06,521 - DEBUG in ConfigManager.validateConfigFileOpts(806): Validating config file.
2012-12-21 17:00:06,523 - INFO in ConfigManager.__init__(331): Profile settings are being read from file '/home/steve/.config/sbackup/sbackup.conf'.
2012-12-21 17:00:06,523 - DEBUG in backupproc.__init__(119): Simple Backup Suite 0.11.4
2012-12-21 17:00:06,578 - DEBUG in profile_handler.__init__(87): Instance of BackupProfileHandler created.
2012-12-21 17:00:06,579 - INFO in profile_handler.prepare(90): Preparation of backup process
2012-12-21 17:00:06,580 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://sabre/Storage/Backup_Altair
URI scheme: smb
eff. scheme: smb
Hostname: `sabre`
Path: `/Storage/Backup_Altair`
Port: None
Username: `None`
Password: `None`
2012-12-21 17:00:06,581 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://sabre/Storage/Backup_Altair
URI scheme: smb
eff. scheme: smb
Hostname: `sabre`
Path: `/Storage/Backup_Altair`
Port: None
Username: `None`
Password: `None`
2012-12-21 17:00:06,581 - INFO in _gio_fam.initialize(100): Initializing GIO File Access Manager.
2012-12-21 17:00:06,582 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:06,582 - DEBUG in _gio_utils.mount(258): Mount path: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:06,608 - DEBUG in _gio_utils._is_local(217): Given path is not local
2012-12-21 17:00:07,113 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:07,119 - DEBUG in _gio_utils._set_mount_flag(244): Path_mount_info: Path: `smb://sabre/Storage/Backup_Altair`
Eff. path: `None`
Mounted: True
2012-12-21 17:00:07,119 - DEBUG in _gio_utils._mount_done_cb(366): quit loop
2012-12-21 17:00:07,119 - DEBUG in _gio_utils._mount_done_cb(371): Calling additional callback
2012-12-21 17:00:07,121 - INFO in profile_handler.__check_target(336): Backup destination: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:07,121 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:07,130 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://sabre/Storage/Backup_Altair
2012-12-21 17:00:07,131 - INFO in _gio_utils._test_path(849): Perform tests at specified location
2012-12-21 17:00:07,132 - DEBUG in _gio_utils._test_path(852): test specified path for existence us...

Read more...

Revision history for this message
Stephen Rynas (ascolais) wrote :
Download full text (5.6 KiB)

I finally separated the logs for the Administrator verson from the User version. This error log is from the User version. The Adminstration version worked. I have been wondering if having the two version creates a confilct????

PS: I have moved the back-up destination to a an external USB device attached to a router, the backup program succesfully writes a backup (when it wrorks).

-------------------------------------------------------------------------------------------------------------------------------------------
SBackup 'Default Profile' Logger
==============
2012-12-27 22:00:05,586 - INFO in ConfigManager.__create_logger(757): Log output for [Default Profile] is directed to file '/var/log/sbackup/UserVersion/sbackup.2012-12-27_22.00.05.584857.log'.
2012-12-27 22:00:05,586 - DEBUG in ConfigManager.validateConfigFileOpts(806): Validating config file.
2012-12-27 22:00:05,588 - INFO in ConfigManager.__init__(331): Profile settings are being read from file '/home/steve/.config/sbackup/sbackup.conf'.
2012-12-27 22:00:05,588 - DEBUG in backupproc.__init__(119): Simple Backup Suite 0.11.4
2012-12-27 22:00:05,593 - DEBUG in profile_handler.__init__(87): Instance of BackupProfileHandler created.
2012-12-27 22:00:05,594 - INFO in profile_handler.prepare(90): Preparation of backup process
2012-12-27 22:00:05,595 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://rt-n56u/AiDisk_a1/AltairBackup
URI scheme: smb
eff. scheme: smb
Hostname: `rt-n56u`
Path: `/AiDisk_a1/AltairBackup`
Port: None
Username: `None`
Password: `None`
2012-12-27 22:00:05,596 - DEBUG in pathparse.set_and_parse_uri(216): UriParser:
Display name: smb://rt-n56u/AiDisk_a1/AltairBackup
URI scheme: smb
eff. scheme: smb
Hostname: `rt-n56u`
Path: `/AiDisk_a1/AltairBackup`
Port: None
Username: `None`
Password: `None`
2012-12-27 22:00:05,596 - INFO in _gio_fam.initialize(100): Initializing GIO File Access Manager.
2012-12-27 22:00:05,597 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,597 - DEBUG in _gio_utils.mount(258): Mount path: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,623 - DEBUG in _gio_utils._is_local(217): Given path is not local
2012-12-27 22:00:05,721 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,727 - DEBUG in _gio_utils._set_mount_flag(244): Path_mount_info: Path: `smb://rt-n56u/AiDisk_a1/AltairBackup`
Eff. path: `None`
Mounted: True
2012-12-27 22:00:05,727 - DEBUG in _gio_utils._mount_done_cb(366): quit loop
2012-12-27 22:00:05,727 - DEBUG in _gio_utils._mount_done_cb(371): Calling additional callback
2012-12-27 22:00:05,728 - INFO in profile_handler.__check_target(336): Backup destination: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,729 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,738 - DEBUG in pathparse.query_mount_uri(253): get_mount_uri: smb://rt-n56u/AiDisk_a1/AltairBackup
2012-12-27 22:00:05,739 - INFO in _gio_utils._test_path(849): Perform tests at specified location
2012-12-27 22:00:05,740 - DEBUG in _gio_utils...

Read more...

Revision history for this message
Anton (feenstra) wrote :

Just chiming in with a suggestion here, not sure if it will help.

Could it be that when you run the backup as user, it fails to be able to read the contents of the backup file because they are owned by root, because (one of) the previous backup(s) was (were) made by root? And this read-error is not caught?

If you can check dir and file ownerships and permissions in your backup location, you could fix it with chown and try again to see if that solves it for you.

Jean-Peer any chance you could get these .desktop file patches that make the root sbackup appear different from the user ones, pushed into the repositories?

Revision history for this message
Stephen Rynas (ascolais) wrote :
Download full text (3.2 KiB)

I have actually done that (changed the permissions), or to be more precise
- I believe that I have done that.

To follow-up on what you say, I have "root" privileges. So I am both
ADMINISTRATOR and USER at the same time.

1. Through my "root" privileges I can schedule the Administrative version
to run at specific times.

2. Both the ADMINISTRATIVE version and USER version have slightly different
default profiles. I may be misunderstanding how the default profiles should
be set-up between the two versions.

3. When the ADMINISTRATIVE version has a scheduled back-up, I am unclear as
to whether the USER version should also be executing. It appears that it
does, so there may be a conflict. I have "root" privileges and I am also
am the USER at the same time.
    By coincidence, as I am writing this, I received the error message
below from "cron". Also see #4 below. The error message would seem to imply
that the ADMINISTRATIVE version was "rejected" from executing.
    -------------------------------------------
    "Backup is not being started.
     "Another application instance is already running. "
    ----------------------------------------------

4. The current back-up (from #3) appears stuck at 98.6% for the past 2
hours. Based on the incomplete log generated so far, it would appear that
the USER version executed, but that is now "stuck". I will let it run and
see what happens. That would seem to imply that the error message mentioned
in #3 fro, "cron" would apply to rejecting the ADMINISTRATIVE version from
running.

On Sat, Dec 29, 2012 at 4:29 AM, Anton <email address hidden> wrote:

> Just chiming in with a suggestion here, not sure if it will help.
>
> Could it be that when you run the backup as user, it fails to be able to
> read the contents of the backup file because they are owned by root,
> because (one of) the previous backup(s) was (were) made by root? And
> this read-error is not caught?
>
> If you can check dir and file ownerships and permissions in your backup
> location, you could fix it with chown and try again to see if that
> solves it for you.
>
> Jean-Peer any chance you could get these .desktop file patches that make
> the root sbackup appear different from the user ones, pushed into the
> repositories?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1087872
>
> Title:
> Backup to Remote PC Freezes
>
> Status in sbackup:
> New
>
> Bug description:
> Using Ubuntu 12.10 attempting to backup to a remote WindowsXP computer
> Have AMD-64 bit Ubuntu
> sbackup-gtk 0.11.4-0ubuntu4
> installed from Ubuntu directly
>
> String to access remote computer: smb://sabre/Storage/Backup_Altair
>
> manually the backups seems to work correctly
> However the automated mackup using Gnome Shcduler only works
> sporadically.
>
> I just received error message "File access manager not initialized"
> Aslo get an error message that Ubuntu has had an "internal error".
> Then Ubuntu asks if I am attempting to connect to a remote computer,
> which I am.
> sbacckup "freezes" stays stuck in assembling files.
>
> To manage notifications about this bug...

Read more...

Revision history for this message
Stephen Rynas (ascolais) wrote :

I can confirm, today, that executing the ADMINISTRATIVE vesion manually resulted in both versions runnng. The manual execution was succesful. I have revised both the ADMINISTRATIVE and USER versions so that they do not backup the same files.

I hypothesise that there may be a conflict when both version sare automatically initiated at the same time. I will have to wait an see how that works out.

Revision history for this message
Stephen Rynas (ascolais) wrote :

The automated backup worked for a while then stopped. It appears that the ADMINISTRATIVE version is the one that hangs, since I have to enter a password to cancel it. Unforutantley it won't let me cancel the job for some reason. I am looking a the the /etc/sbackup.conf file and the .config/sbackup/sbackup.conf file to see if I can eliminate the apparant conflict. One alternative may be changing the backup location for the USER version.

Revision history for this message
Stephen Rynas (ascolais) wrote :

*** CANCEL ***
I believe that this bug report can be CANCELLED.

As a result of continued experimentation, there appears to be a workaround.
So far the workaround has NOT failed. But testing has been less than 24 hours.

**Workaround:
The ADMINSTRATIVE version is set to backup to an external USB device once per-day.
smb://rt-n56u/AiDisk_a1/AltairBackup

The USER version is set to backup to another directory on the internal hard drive. (A separate partition from home)
/var/backups

**Remaing Issue:
I had loaded Gnome-Schedule to intiate the automated backups. My computer "crashed" for whatever reason. Anyway, after restoring my computer, it turned out that the USER version of Sbackup keeps running every hour. I have removed/reinstalled Gnome-Schedule, but I have been unable to stop the USER vesion Sbackup from running every hour. But that is NOT an issue with Sbackup, since the workaround is working.

Please CANCEL this bug report.

Revision history for this message
Anton (feenstra) wrote :

OK, thanks. Marking bug as invalid.

For future reference, I think it is a bad idea to have two different schedules and/or users back up to the same backup location, and it actually seems to be not supported. It would be nice if this was signalled and reported back to the user in a more transparent way.

Off-topic, gnome-schedule is a graphical front end for user cron jobs. Likely, that cron job still persists, verify with 'cron -l', and check further actions with 'man cron' ;-)

Changed in sbackup:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers